Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.control
Class RandomController

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.control.GenericController
              org.apache.jmeter.control.InterleaveControl
                  org.apache.jmeter.control.RandomController

All Implemented Interfaces:
  Serializable, Cloneable, Controller, TestElement

    public class RandomController

extends InterleaveControl
implements Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.control.InterleaveControl
`IGNORE_SUB_CONTROLLERS, USE_SUB_CONTROLLERS`

Fields inherited from class org.apache.jmeter.control.GenericController
`current, subControllersAndSamplers`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`RandomController()`

Method Summary
`protected void` | `incrementCurrent()` Increments the current pointer; called by currentReturnedNull to move the controller on to its next child.
`protected void` | `resetCurrent()`

Methods inherited from class org.apache.jmeter.control.InterleaveControl
`currentReturnedNull, getStyle, isSkipNext, next, nextIsAController, nextIsASampler, nextIsNull, reInitialize, setCurrentElement, setSkipNext, setStyle`

Methods inherited from class org.apache.jmeter.control.GenericController
`addIterationListener, addTestElement, fireIterationStart, fireIterEvents, getCurrentElement, getIterCount, getSubControllers, incrementIterCount, initialize, isDone, isFirst, removeCurrentElement, resetIterCount, setDone, setFirst`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.testelement.TestElement
`canRemove, clear, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Constructor Detail

### RandomController

    public RandomController()

Method Detail

### resetCurrent

    protected void resetCurrent()

  Overrides:
    `resetCurrent` in class `GenericController`
  See Also:
    `GenericController.resetCurrent()`

### incrementCurrent

    protected void incrementCurrent()

  Description copied from class: `InterleaveControl`
  Increments the current pointer; called by currentReturnedNull to move the controller on to its next child.

  Overrides:
    `incrementCurrent` in class `InterleaveControl`
  See Also:
    `GenericController.incrementCurrent()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.